package paracross

import (
	"fmt"
	"testing"

	"github.com/33cn/chain33/common"

	"github.com/stretchr/testify/assert"
)

func TestMock(t *testing.T) {
	c := Paracross{}
	err := c.Initialize("./paracross.toml", "3", nil)
	assert.Nil(t, err)
	err = c.Start()
	assert.Nil(t, err)

	ibtpRec := c.GetIBTP()
	for ibtp := range ibtpRec {
		fmt.Println(ibtp)
	}
}

func TestHash(t *testing.T) {
	paraBlockHash := common.Sha256([]byte("111064"))
	t.Log(common.HashHex(paraBlockHash))
}
